Subject: Re: bug#21453: When font size is temporarily increased Emacs is slow

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 17 Nov 2019 07:32:17 +0100

Eli Zaretskii <[email-masked]> writes:

>> Here I post measured times:
>> 
>>   Font Size       Time in Seconds
>>   normal           301.423
>>   +1              1055.157
>>   -1               487.935
>
> I see something very different on my system, so this could be specific
> to X or even your font back-end (xft).
>
> Here are my times:
>
>   Font Size       Time in Seconds
>                    ELisp  Fundamental
>   normal           139.9  113.2
>   +1               140.4  112.2
>   -1               282.0  126.4
>   -2                      148.8
>   +2                      114.4

I tried this on my system (with the test file provided).

The test case is:

(benchmark-progn
  (while (not (eobp))
    (call-interactively #'next-line)))

normal 25s
+1     31s
+2     25s

So basically, they're all more or less the same now, so I'm guessing
that whatever Mark was seeing in Emacs 25 has gone away now (as Emacs
has gotten a new font backend etc), so I'm closing this bug report.

If this is still an issue in Emacs 27, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no